buttons={}
button={}
function button.create(x,y,w,h,func,tag)
	local b={}
	b.x = x
	b.y = y
	b.w = w
	b.h = h
	if func then b.func = func else b.func = false end
	if tag then b.tag = tag else b.tag = false end
	b.state = "idle"
	b.id = getID(buttons)
	table.insert(buttons,b)
end


function button.destroy(id)
	for i,v in ipairs(buttons) do
		if v.id == id then
			table.remove(buttons,i)
		end
	end
end

function button.mousepressed(x,y,button)
	local mx,my = love.mouse.getPosition()
	if button == "l" then
		for i,v in ipairs(buttons) do
			if CheckCollision(v.x,v.y,v.w,v.h,mx,my,1,1) then
				if v.func then
					if v.tag then 
						v.func(v.tag)
					else 
						v.func()
					end
				end
			end
		end
	end
end

function button.update(dt)
	local mx,my = love.mouse.getPosition()
	for i,v in ipairs(buttons) do
		if CheckCollision(v.x,v.y,v.w,v.h,mx,my,1,1) then
			if love.mouse.isDown("l") then
				v.state = "pressed"
			else
				v.state = "over"
			end
		else
			v.state = "idle"
		end
	end
end

function button.draw()
	for i,v in ipairs(buttons) do
		if v.state == "over" or v.state == "pressed" then
			love.graphics.setColor(200,200,200,255)
		else
			love.graphics.setColor(150,150,150,255)
		end
		if v.state == "pressed" then
			love.graphics.rectangle("fill",v.x+1,v.y+1,v.w,v.h)
		else
			love.graphics.rectangle("fill",v.x,v.y,v.w,v.h)
		end
	end
	love.graphics.setColor(255,255,255,255)
end