require("button")
require("label")
require("textbox")
editor_gui={}
function editor_gui.load()
	textbox.load()
	fulls = false
	local buttonLayout = {1,0,1,1,1,1,1,0,1,1,1,1,0,1}
	for i=1,#buttonLayout do
		if buttonLayout[i] == 1 then
			button.create(30*i-28,2,26,26,onButtonClick,i)
		end
	end
end

function editor_gui.keypressed(key)

end

function editor_gui.mousepressed(x,y,b)
	button.mousepressed(x,y,b)
	textbox.mousepressed(x,y,b)
end

function editor_gui.mousereleased(x,y,b)

end

function editor_gui.update(dt)
	button.update(dt)
	textbox.update(dt)
end

function editor_gui.draw()	
	local mx, my
	if editor.gridSnap then
		mx, my = editor.getGridMousePosition()
	else
		mx, my = love.mouse.getPosition()
	end
	if not (love.mouse.getY() <= 30) then
		love.graphics.line(mx-10,my,mx+10,my)
		love.graphics.line(mx,my-10,mx,my+10)
	end
	--omg panel de arriba
	love.graphics.setColor(120,120,120,255)
	love.graphics.rectangle("fill",0,0,screen.width,30)
	
	button.draw()
	textbox.draw()
	label.draw()
	love.graphics.setColor(255,255,255,255)
end

function onButtonClick(tag)
	if tag >= 3 and tag <= 7 then editor.clearTemp() end
	if tag == 1 then mode = "selection" end
	if tag == 3 then mode = "rectshape_create" end
	if tag == 4 then mode = "polshape_create" end
	if tag == 5 then mode = "circshape_create" end
	if tag == 6 then mode = "edgeshape_create" end
	if tag == 7 then mode = "chainshape_create" end
	if tag == 9 then editor.toggleGrid() end
	if tag == 10 then editor.changeGridSize("-") end
	if tag == 11 then editor.changeGridSize("+") end
	if tag == 12 then editor.toggleGridSnap() end
	if tag == 14 then export.now() end
	print(mode)
end