require("extra")
require("editor")
require("editor_test")
function love.load()
	font = love.graphics.newFont(12)
	love.keyboard.setKeyRepeat( 0.5, 0.05 )
	editor.load()
	editor_test.load()
end

function love.update(dt)
	if test then 
		editor_test.update(dt)
	else
		local maxdt = 1/60
		if dt > maxdt then dt = maxdt end
		editor.update(dt)
	end
end

function love.draw()
	love.graphics.setFont(font)
	if test then
		editor_test.draw()
	else
		editor.draw()
	end
end

function love.mousepressed(x, y, button)
	if not test then editor.mousepressed(x, y, button) end
	if test then editor_test.mousepressed(x,y,button) end
end
 
function love.mousereleased(x, y, button)
	if not test then editor.mousereleased(x, y, button) end
	if test then editor_test.mousereleased(x,y,button) end
end
 
function love.keypressed(key, unicode)
	if key == "escape" then love.event.quit() end
	if test then
		editor_test.keypressed(key)
	else
		editor.keypressed(key)
	end
end
 
function love.keyreleased(key)

end